> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register end system



## OpenAPI

````yaml post /tenants/register-system
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /tenants/register-system:
    post:
      tags:
        - tenants
      operationId: systemRegistration
      parameters:
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SystemRegistrationDto'
      responses:
        '201':
          description: ''
components:
  schemas:
    SystemRegistrationDto:
      type: object
      properties:
        targetSystem:
          type: string
        clientId:
          type: string
        clientSecret:
          type: string
      required:
        - targetSystem
        - clientId
        - clientSecret

````